<?php

namespace Modules\Page\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Services\Response\ResponseService;
use Illuminate\Http\Request;
use Modules\Page\Models\Resources\PageResource;
use Modules\Page\Services\PageService;


class PageController extends Controller
{
    public function __construct(
        private PageService $pageService,
    ){}

    public function intro(Request$request)
    {
        $request->merge(['ids'=>[7,8,9]]);
        $pages = $this->pageService->get($request);
        return ResponseService::response([
            'status'=>200,
            'data'=>PageResource::collection($pages),
            'message'=>''
        ]);
    }



}
